Package org.eclipse.emf.cdo.ui

## Interface CDOEditorOpener

- All Known Implementing Classes:
    `CDOEditorOpener.Default`, `CDOEditorOpener.Registry.EditorOpenerDescriptor`

      public interface CDOEditorOpener

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOEditorOpener.Default` |
    `static class` | `CDOEditorOpener.Registry` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_PRIORITY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageDescriptor` | `getIcon()` |
    `java.lang.String` | `getID()` |
    `java.lang.String` | `getName()` |
    `int` | `getPriority()` | Returns the priority of this editor opener.
    `java.lang.String` | `getRegex()` | Returns the regular expression that determines if the editor opener can open a certain URI.
    `boolean` | `matchesRegex​(URI uri)` | Checks if the URI matches the regular expression of this editor opener.
    `IEditorPart` | `openEditor​(IWorkbenchPage page, URI uri)` |

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          java.lang.String getID()

    - #### getName

          java.lang.String getName()

    - #### getIcon

          ImageDescriptor getIcon()

    - #### getPriority

          int getPriority()

      Returns the priority of this editor opener. Usually used to choose between several editor openers that match the same repository URI.

    - #### getRegex

          java.lang.String getRegex()

      Returns the regular expression that determines if the editor opener can open a certain URI.

    - #### matchesRegex

          boolean matchesRegex​(URI uri)

      Checks if the URI matches the regular expression of this editor opener.

    - #### openEditor

          IEditorPart openEditor​(IWorkbenchPage page,
                                 URI uri)